package com.ruoyi.mall.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学院介绍对象 mall_faculty_info
 *
 * @author Lsm
 * @date 2023-10-18
 */
public class MallFacultyInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 学院信息id */
    private Long facultyId;

    /** 学校名 */
    private String schoolName;

    /** 学院名称 */
    @Excel(name = "学院名称")
    private String facultyName;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 专业id集合 */
    @Excel(name = "专业id集合")
    private String facultyMajor;

    /** 专业名 */
    private String majorStr;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 更新时间 */
    @Excel(name = "更新时间")
    private String updateAt;

    /** 删除标记 */
    @Excel(name = "删除标记")
    private String delFlag;

    public String getMajorStr() {
        return majorStr;
    }

    public void setMajorStr(String majorStr) {
        this.majorStr = majorStr;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public void setFacultyId(Long facultyId)
    {
        this.facultyId = facultyId;
    }

    public Long getFacultyId()
    {
        return facultyId;
    }
    public void setFacultyName(String facultyName)
    {
        this.facultyName = facultyName;
    }

    public String getFacultyName()
    {
        return facultyName;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setFacultyMajor(String facultyMajor)
    {
        this.facultyMajor = facultyMajor;
    }

    public String getFacultyMajor()
    {
        return facultyMajor;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("facultyId", getFacultyId())
            .append("facultyName", getFacultyName())
            .append("schoolId", getSchoolId())
            .append("facultyMajor", getFacultyMajor())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
